# pn_snmp_vacm – CLI command to create/modify/delete snmp-vacm

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create View Access Control Models (VACM), modify VACM and delete VACM.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

pn_auth
boolean

Choices:
- no
- yes

authentication required.

pn_cliswitch string |  | Target switch to run the CLI on.
pn_oid_restrict string |  | restrict OID.

pn_priv
boolean

Choices:
- no
- yes

privileges.

pn_user_name string |  | SNMP administrator name.

pn_user_type
string

Choices:
- rouser
- rwuser

SNMP user type.

state
string / required

Choices:
- present
- absent
- update

State the action to perform. Use `present` to create snmp-vacm and `absent` to delete snmp-vacm and `update` to modify snmp-vacm.

## Examples

    - name: create snmp vacm
      pn_snmp_vacm:
        pn_cliswitch: "sw01"
        state: "present"
        pn_user_name: "foo"
        pn_user_type: "rouser"

    - name: update snmp vacm
      pn_snmp_vacm:
        pn_cliswitch: "sw01"
        state: "update"
        pn_user_name: "foo"
        pn_user_type: "rwuser"

    - name: delete snmp vacm
      pn_snmp_vacm:
        pn_cliswitch: "sw01"
        state: "absent"
        pn_user_name: "foo"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the snmp-vacm command.
stdout list | always | set of responses from the snmp-vacm command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.